// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>

#include "config.h"
#include "router.h"
#include "logger.h"

class Core {
public:
    Core(const std::string& configPath);

    Config config;
    Router router;
    Logger logger;

};
